# Server Restart Script

Hooks into ServerAPI to run the restart command on the server. A restart
script must be specified in `spigot.yml` for this work.

## Example Restart Script
```bash
#!/bin/bash        

SCREEN_NAME="server"
SERVER_DIRECTORY="/home/minecraft/server"
STARTUP_SCRIPT="startup.sh"     
                        
# Start the screen if it is not already running    
if ! screen -list | grep -q $SCREEN_NAME; then    
    screen -dmS $SCREEN_NAME    
fi                      
                        
# Run the startup script in a screen    
screen -S $SCREEN_NAME -p 0 -X stuff "^Mcd $SERVER_DIRECTORY^M"    
screen -S $SCREEN_NAME -p 0 -X stuff "./$STARTUP_SCRIPT^M"    

```